Commit in SlacMCPrj/scripts on MAIN
setup-geant4-data.sh+12added 1.1
run-slic.sh+10-11.3 -> 1.4
+22-1
1 added + 1 modified, total 2 files
JM: Setup Geant4 data environment before executing slic

SlacMCPrj/scripts
setup-geant4-data.sh added at 1.1
diff -N setup-geant4-data.sh
--- /dev/null	1 Jan 1970 00:00:00 -0000
+++ setup-geant4-data.sh	27 Mar 2006 21:38:43 -0000	1.1
@@ -0,0 +1,12 @@
+#!/bin/sh
+export G4LEVELGAMMADATA=$PRJ_EXTERN/geant4/data/PhotonEvaporation
+export G4RADIOACTIVEDATA=$PRJ_EXTERN/geant4/data/RadiativeDecay
+export NeutronHPCrossSections=$PRJ_EXTERN/geant4/data/G4NDL3.7
+export G4LEDATA=$PRJ_EXTERN/geant4/data/G4EMLOW3.0
+export G4ELASTICDATA=$PRJ_EXTERN/geant4/data/G4ELASTIC1.1
+
+echo G4LEVELGAMMADATA=$G4LEVELGAMMADATA
+echo G4RADIOACTIVEDATA=$G4RADIOACTIVEDATA
+echo NeutronHPCrossSections=$NeutronHPCrossSections
+echo G4LEDATA=$G4LEDATA
+echo G4ELASTICDATA=$G4ELASTICDATA

SlacMCPrj/scripts
run-slic.sh 1.3 -> 1.4
diff -u -r1.3 -r1.4
--- run-slic.sh	28 Feb 2006 21:17:42 -0000	1.3
+++ run-slic.sh	27 Mar 2006 21:38:43 -0000	1.4
@@ -1,5 +1,14 @@
 #!/bin/sh
 
-source setup-slic.sh 
+if [ -z "${SLIC_BASE}" ]; then
+  echo "ERROR: SLIC_BASE is not set."
+  exit 1
+fi
+
+if [ -z "${G4SYSTEM}" ]; then
+  echo "ERROR: G4SYSTEM is not set."
+fi
+
+source setup-geant4-data.sh
 
 exec ${SLIC_BASE}/bin/${G4SYSTEM}/slic $@
CVSspam 0.2.8